Skip to main content
GET
Get currency exchange rates

Authorizations

Authorization
string
header
required

Basic authentication header of the form Basic <api_key>, where <api_key> is your api key.

Path Parameters

currency
string
required

Currency for which available exchange rates are requested for

Query Parameters

date
string<date>

Date the exchange rate is requested for. If omitted, defaults to today

Example:

"2025-11-25"

Response

default - application/json;charset=UTF-8

default response

base
string
Example:

"USD"

target
string
Example:

"USD"

rate
number

Exchange rate between base and target currency

effectiveDate
string<date>

Effective date of the exchange rate. E.g., rate requested on Saturday will have the effective date Friday

requestedDate
string<date>

Date the exchange rate is requested for